Name:		connectagram
Version:	1.3.5
Release:	%mkrel 1
Summary:	A word unscrambling game
Group:		Games/Puzzles
License:	GPLv3+
URL:		https://gottcode.org/connectagram
Source:		https://gottcode.org/connectagram/%{name}-%{version}.tar.bz2

BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6LinguistTools)
BuildRequires:	cmake(Qt6Network)
BuildRequires:	cmake(Qt6Widgets)
BuildRequires:	cmake

%description
Connectagram is a word unscrambling game. The board consists of several
scrambled words that are joined together. You can choose the length of
the words, the amount of words, and the pattern that the words are
arranged in. The game provides a hint option for times when you are
stuck, and features an online word lookup that fetches the definitions
of each word from Wiktionary. Your current progress is automatically
saved.

%prep
%setup -q

%build
%cmake_qt6
%cmake_build

%install
%cmake_install

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sun Jan 21 2024 daviddavid <daviddavid> 1.3.5-1.mga10
+ Revision: 2033225
- new version: 1.3.5

* Wed Sep 06 2023 daviddavid <daviddavid> 1.3.4-1.mga10
+ Revision: 1984592
- new version: 1.3.4

* Mon Jun 26 2023 pterjan <pterjan> 1.3.3-2.mga9
+ Revision: 1963147
- Rebuild for missing package on x86_64

* Thu Jan 12 2023 daviddavid <daviddavid> 1.3.3-1.mga9
+ Revision: 1932444
- new version: 1.3.3

* Tue Dec 06 2022 daviddavid <daviddavid> 1.3.2-1.mga9
+ Revision: 1918477
- new version: 1.3.2
- switch to Qt6 and cmake build system

* Sun Apr 03 2022 umeabot <umeabot> 1.3.1-2.mga9
+ Revision: 1842418
- Mageia 9 Mass Rebuild

* Thu May 06 2021 daviddavid <daviddavid> 1.3.1-1.mga9
+ Revision: 1721793
- new version: 1.3.1

* Wed Dec 16 2020 umeabot <umeabot> 1.2.11-2.mga8
+ Revision: 1658271
- Rebuild for new Qt5

* Tue Apr 21 2020 daviddavid <daviddavid> 1.2.11-1.mga8
+ Revision: 1570401
- new version: 1.2.11

* Sat Feb 15 2020 umeabot <umeabot> 1.2.10-2.mga8
+ Revision: 1528350
- Mageia 8 Mass Rebuild

* Mon Aug 19 2019 daviddavid <daviddavid> 1.2.10-1.mga8
+ Revision: 1430146
- new version: 1.2.10

* Sat Mar 30 2019 umeabot <umeabot> 1.2.9-3.mga7
+ Revision: 1381464
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.2.9-2.mga7
+ Revision: 1296767
- Mageia 7 Mass Rebuild

* Sat Jul 21 2018 daviddavid <daviddavid> 1.2.9-1.mga7
+ Revision: 1244536
- new version: 1.2.9

* Sun Jul 08 2018 daviddavid <daviddavid> 1.2.8-1.mga7
+ Revision: 1242573
- new version: 1.2.8

* Wed May 30 2018 daviddavid <daviddavid> 1.2.7-1.mga7
+ Revision: 1233026
- new version: 1.2.7

* Sun Apr 29 2018 daviddavid <daviddavid> 1.2.6-1.mga7
+ Revision: 1223323
- new version: 1.2.6

* Sat Dec 09 2017 vaci0 <vaci0> 1.2.5-1.mga7
+ Revision: 1181760
-Update new version 1.2.5

* Sun Oct 16 2016 vaci0 <vaci0> 1.2.4-1.mga6
+ Revision: 1061138
-New version 1.2.4

* Sat Oct 08 2016 akien <akien> 1.2.3-1.mga6
+ Revision: 1059610
- Version 1.2.3

* Tue Jan 12 2016 akien <akien> 1.2.1-1.mga6
+ Revision: 922135
- Version 1.2.1
- Build with Qt 5
- Adds man page and appdata entry

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 746506
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 678526
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 1.1.2-1.mga5
+ Revision: 585450
- new version 1.1.2
- update summary and description
- drop desktop file patch

* Fri Oct 18 2013 umeabot <umeabot> 1.0.1-3.mga4
+ Revision: 503478
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 348115
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 vaci0 <vaci0> 1.0.1-1.mga3
+ Revision: 274751
- imported package connectagram

